Skip to main content
POST
/
products
/
google-shopping-scrape
Scrape Google shopping Products
curl --request POST \
  --url https://api.henrylabs.ai/v0/products/google-shopping-scrape \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "url": "<string>"
}
'
{
  "success": true,
  "status": "pending",
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "message": "<string>",
  "createdAt": "<string>"
}

Authorizations

x-api-key
string
header
required

Headers

x-user-id
string

Optional end-user identifier for tracking purposes

Query Parameters

skipCache
boolean

If true, bypasses the cache and forces a fresh scrape

Body

application/json
url
string<uri>
required

Response

Request accepted and processing started

success
boolean
required
status
enum<string>
required
Available options:
pending,
processing
requestId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
message
string
required
createdAt
string
required